#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#pragma warning(disable : 4996)

int main() {
	char *s = (char *)malloc(sizeof(char) * 6);
	if (s != NULL){
		strcpy(s, "abcde");
		char *p = s;
		while(*p != 0){
			printf("%c\n", *p);
			p++;
		}
		printf("%s\n", s);
	}
	free(s);
	return 0;
}
		